class_name Planete
extends Sprite2D


signal niveau_choisi(PackedScene)

@export var niveau: PackedScene


func _quand_cliquable_recoit_evenement(_vue: Node, evenement: InputEvent, _index_forme: int):
	if evenement.is_action_released("ui_clic"):
		niveau_choisi.emit(niveau)
